Create a personal repository
POST/api/user/repos
createUserRepository
Creates a repository owned by the authenticated user's personal workspace.
Requires authentication using a bearer token or a session cookie — see tokens and scopes.
curl
curl -X POST 'https://neosource.dev/api/user/repos' \
-H 'Authorization: Bearer $NEOSOURCE_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"name":"demo"}'fetch
fetch("https://neosource.dev/api/user/repos", {
method: "POST",
headers: {
Authorization: "Bearer $NEOSOURCE_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({"name":"demo"}),
});neo
neo repo create OWNER/NAMERequest bodyrequired
application/json
Responses
201Repository created
application/json
403Forbidden — one of: forbidden, needs_scope
application/json
one of
Standard errors
Bodies documented once for the whole API — see standard errors.
- 400Bad Request — one of: invalid_input
- 401Authentication required
- 404Not Found — one of: not_found
- 409Conflict — one of: already_exists, conflict
- 429Rate limited — retry after the `Retry-After` header
- 500Internal server error
- 503Service temporarily unavailable / at capacity — retry after the `Retry-After` header
- 504Gateway timeout — the request exceeded the server's handling budget